<template>
  <div class="summary">
    <p class="msg">2021年度检查汇总</p>
    <div class="content">
      <div class="list">
        <p>
          出动执法人员： <span>{{ val1 }}</span
          >人次
        </p>
      </div>
      <div class="list">
        <p>
          检查相关单位： <span>{{ val2 }}</span
          >家次
        </p>
      </div>
      <div class="list">
        <p>
          检查设备： <span>{{ val3 }}</span
          >台次
        </p>
      </div>
      <div class="list">
        <p>
          发现隐患： <span>{{ val4 }}</span
          >项
        </p>
      </div>
      <div class="list">
        <p>
          下达安全监察指令书： <span>{{ val5 }}</span
          >份
        </p>
      </div>
      <div class="list">
        <p>
          处罚金额： <span>{{ val6 }}</span
          >万
        </p>
      </div>
      <div class="list">
        <p>
          已督促责任单位完成整改： <span>{{ val7 }}</span
          >项
        </p>
      </div>
      <div class="list">
        <p>
          立案查处违法违规行为： <span>{{ val8 }}</span
          >起
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      val1: null,
      val2: null,
      val3: null,
      val4: null,
      val5: null,
      val6: null,
      val7: null,
      val8: null,
    };
  },
  //方法集合
  methods: {
    async drawline() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/specialeq/specialeq/queryall"
      );
      var valueData = dt.result;
      for (var i in valueData) {
        if (valueData[i].name == "出动执法人员") {
          this.val1 = valueData[i].value;
        } else if (valueData[i].name == "检查相关单位") {
          this.val2 = valueData[i].value;
        } else if (valueData[i].name == "检查设备") {
          this.val3 = valueData[i].value;
        } else if (valueData[i].name == "发现隐患") {
          this.val4 = valueData[i].value;
        } else if (valueData[i].name == "下达安全监察指令书") {
          this.val5 = valueData[i].value;
        } else if (valueData[i].name == "处罚金额") {
          this.val6 = valueData[i].value;
        } else if (valueData[i].name == "已督促责任单位完成整改") {
          this.val7 = valueData[i].value;
        } else if (valueData[i].name == "立案查处违法违规行为") {
          this.val8 = valueData[i].value;
        }
      }
    },
  },
  mounted() {
    this.drawline();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.summary {
  overflow: hidden;
  height: 48%;
  margin-top: 1%;
  padding-top: 70px;
  box-sizing: border-box;
  background: rgba(8, 32, 58, 0.7);
  .msg {
    font-size: 60px;
    font-weight: 400;
    color: #ffffff;
    padding-bottom: 40px;
    text-align: center;
  }
  .content {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    .list {
      width: 49%;
      height: 118px;
      background: url("../../../assets/img/组 9.png") no-repeat center;
      background-size: 100% 100%;
      line-height: 125px;
      margin-bottom: 100px;
      p {
        font-size: 56px;
        font-weight: 400;
        color: #ebfdff;
        text-align: center;
        span {
          color: #ffee98;
        }
      }
    }
    .list:nth-child(7) {
      width: 100%;
      background: url("../../../assets/img/组 9 拷贝 6.png") no-repeat center;
      background-size: 100% 100%;
    }
    .list:nth-child(8) {
      width: 100%;
      background: url("../../../assets/img/组 9 拷贝 6.png") no-repeat center;
      background-size: 100% 100%;
      margin-bottom: 0;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .summary {
    background: transparent;
    height: 50%;
    margin: 0;
  }
}
</style>
